```
 .::::::.     ...    :::      .::.:::::::..    :::.   :::.    :::.     .::::::.   .,-::::: :::::::..   :::::::::::::. :::::::::::: .::::::. 
;;;`    `  .;;;;;;;. ';;,   ,;;;' ;;;;``;;;;   ;;`;;  `;;;;,  `;;;    ;;;`    ` ,;;;'````' ;;;;``;;;;  ;;; `;;;```.;;;;;;;;;;;'''';;;`    ` 
'[==/[[[[,,[[     \[[,\[[  .[[/    [[[,/[[['  ,[[ '[[,  [[[[[. '[[    '[==/[[[[,[[[         [[[,/[[['  [[[  `]]nnn]]'      [[     '[==/[[[[,
  '''    $$$$,     $$$ Y$c.$$"     $$$$$$c   c$$$cc$$$c $$$ "Y$c$$      '''    $$$$         $$$$$$c    $$$   $$$""         $$       '''    $
 88b    dP"888,_ _,88P  Y88P       888b "88bo,888   888,888    Y88     88b    dP`88bo,__,o, 888b "88bo,888   888o          88,     88b    dP
  "YMmMY"   "YMMMMMP"    MP        MMMM   "W" YMM   ""` MMM     YM      "YMmMY"   "YUMMMMMP"MMMM   "W" MMM   YMMMb         MMM      "YMmMY" 
```



# How to use these scripts
----------------------------

These should work on most Debian based distros.

If you're using a GUI, then you can download the zip file.
Unzip and open the folder.
Find the script (or set of scripts.) that you want to use right click, look for the permissions section and tick the "run as program" permission. Right click on a folder select "Open in terminal" then type `ls` this will show whats in the folder 
then `sudo ./full_script_name.sh`. You might need to provide an admin password. 


If you are running 'headless' and dont have Git installed yet you can run : 

`wget https://git.sovbit.dev/Enki/sovran-scripts/archive/main.tar.gz`\
`tar -xzf main.tar.gz`\
`cd main`\
`ls`\
`cd folder_name`\
`sudo ./script_name.sh`


If Git is installed use : 

`git clone https://git.sovbit.dev/Enki/sovran-scripts.git`\
`cd Sovran-Scripts`\
`ls`\
`cd folder_name`\
`sudo ./script_name.sh`

All the scripts need to be given permission to execute, you can do this with:

`chmod +x scriptname.sh`

------------
 ## Scripts                           
------------
## Bitcoin 
------------
### coreinstall.sh
- This script walks the user through the process of installing TOR, I2P, and Bitcoin Core plus configures Core to use whatever network is installed.  

----------------------
### Personal Server  
----------------------
### Server Setup
- This script does some basic server setup. It will harden SSH, setup a non-root user, install some basic tools, configure log rotation, install docker and nginx, and install UFW and Fail2Ban with some basic configuration. All optional wth user input for most configuration settings. 

### Vault Warden 
- Installs and configures Vault Warden. Will also install nginx, certbot and add Vault Warden to systemd for easy management.